Update a particular dialer campaign

This API allows you to update the dialer campaign details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request PUT \
     --url https://api-smartflo.tatateleservices.com/v1/dialer/campaign/id \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Path Params)

The following parameter is required to update a particular dialer campaign:

Variable NameDescriptionData Type
idUnique ID of the dialer campaign.string

Request Variables (Body Params)

The following parameter is required to update a particular dialer campaign:

Variable NameDescriptionData Type
nameName of the Dialer CampaignString
descriptionDescription of the CampaignString
dial_methodMethod with which leads get connected, valid value is 1 or 2 with the following convention ['id' => '1', 'name' => 'Preview'], ['id' => '2', 'name' => 'Ratio'],String
auto_dial_durationPreview duration before dialing, mandatory field if dial method is 1String
outbound_caller_idCaller ID for the dialer campaign. It should accept the unique ID of the DID, which the customer can obtain using the "Fetch My Number Details" API.String
agent_wise_caller_idValid value 1 or 0 for enabling or disabling setting caller id for each agentinteger
lead_list_mapSelect lead lists and their status, can select upto 3 active lead lists in the format [{list_id:1234,list_status:1},{list_id:1235,list_status:0},...]array
agent_wise_lead_listValid value 0 or 1 to select lead list individually for each agentinteger
list_traversal_orderTraversal order method for lead list while dialing, value should be 1,2 or 3 with the following meaning: ['id' => '1', 'name' => 'Oldest First'], ['id' => '2', 'name' => 'Newest First'],['id' => '3', 'name' => 'Random'],Traversal order method for lead list while dialing, value should be 1,2 or 3 with the following meaning: ['id' => '1', 'name' => 'Oldest First'], ['id' => '2', 'name' => 'Newest First'],['id' => '3', 'name' => 'Random'],string
agent_scriptId of script where content will be visible to only agent while dialing leadstring
disposition_listId of list containing short codes that describe the outcome of callsstring
number_of_retryRefresh Countstring
retry_after_minutesRefresh Interval duration in minutesstring
auto_disposition_cancel_durationWrap up time for agent in secondsstring
dial_statusDial Status of the campaign. "New" is indicated by "0" in dial status. For Example: "dial_status": ["0"] will set the dial status as "NEW"array of strings
time_groupId of Campaign Active Time which will reflect for all agentsstring
time_group_recordingId of Campaign Active Time Recordingstring
ring_timeoutThe call will ring on each agent for the defined seconds before trying any other agentstring
quick_transfer_listId of Quick Transfer List of the campaignstring
account_dnd_listId of DND list set up of the campaignstring
hide_lead_detailsValid value 0 or 1,enabling this will hide customer's detailsinteger
update_lead_detailsValid value 0 or 1, enabling this will update customer's detailsinteger
automatic_schedule_call_enabledValid value 0 or 1, enabling this will allow adding automatic schedule call for the campaigninteger
enable_hangupValid value 0 or 1, enabling this will cause hangup call for agentinteger
enable_external_transferValid value 0 or 1, enabling this will allow external transferinteger
after_call_work_durationTime given to the agent after a call ends in secondsstring
enable_web_formValid value 0 or 1, enabling this will allow to add web forminteger
webform_urlURL of web-form in the dialer campaignstring
music_on_holdId of music to be played while the calls is connecting to the agentsstring
ring_strategyRing Strategy of Dialer Campaign, valid value is 1,2 or 3 with the following convention: ,['id' => '1', 'name' => 'Random'],['id' => '2', 'name' => 'Fewest Calls'],['id' => '3', 'name' => 'Longest Wait Time'],string
dial_ratioRatio in which agents will be called, mandatory field if dial method is 2string
enable_transferValid value 0 or 1, enabling this will allow transfering callsinteger
manual_lead_listLead List for Manual Dial, mandatory field if manual_dial_enabled is 1array of strings
break_listId of Pause code List containing break code and name, if agent takes break specifying purpose/reasonstring
map_agent_caller_idIndividual mapping of each agent with caller idstring
map_agent_lead_listIndividual mapping of each agent with lead liststring
connect_agent_throughAgent Connection method, valid value is 1,2 or 3 with following convention: ['id' => '1', 'name' => 'Agent Mobile'], ['id' => '2', 'name' => 'Agent Extension'], ['id' => '3', 'name' => 'Both (Extension first, otherwise mobile)']string
dial_in_typeAgent Call Method, valid value is 1,2 or 3 with following convention: ['id' => '1', 'name' => 'Dial In (Session)'], ['id' => '3', 'name' => 'Dial Out (Session)'], ['id' => '2', 'name' => 'Dial Out (Each Call)']string
agent_only_callbackValid value 0 or 1, enabling this will allow callback for agent in agent panelinteger
agent_dial_in_numberAgent number in case of dial instring
agentAgent who gets connected and picks the inbound callarray of int32s
enforce_agent_pause_codeOption while showing break codes of a listint32
manual_dial_enabledValid value 0 or 1, enabling will allow manual dial for agent in agent panelinteger
enable_inboundValid value 0 or 1, enabling will set inbound queue for the dialer campaigninteger
inbound_queueId of queue to receive incoming calls from customer, mandatory field if enable_inbound is 1.string
enable_agent_opt_outValid value 0 or 1, enabling this will remove self from inbound queue in agent panelinteger
inbound_lead_listLead List for inbound queue, mandatory field if enable_inbound is 1.string
enable_auto_answerValid value 0 or 1, enabling will make agent get connected to the callinteger
call_qualification_durationThis duration in seconds will be used to qualify the call as a successful callstring
announcement_recordingId of Welcome tune recordingstring
queue_timeoutThe maximum time a caller can wait in the queue before the call is redirected or disconnected.string

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Path Params
string
required
Body Params
string

Name of the Dialer Campaign

string

Description of the Campaign

string

Method with which leads get connected, valid value is 1 or 2 with the following convention ['id' => '1', 'name' => 'Preview'], ['id' => '2', 'name' => 'Ratio'],

string

Preview duration before dialing, mandatory field if dial method is 1

string

Caller ID for the dialer campaign

boolean

Valid value 1 or 0 for enabling or disabling setting caller id for each agent

lead_list_map
array

Select lead lists and their status, can select upto 3 active lead lists in the format [{list_id:1234,list_status:1},{list_id:1235,list_status:0},...]

lead_list_map
boolean

Valid value 0 or 1 to select lead list individually for each agent

string

Traversal order method for lead list while dialing, value should be 1,2 or 3 with the following meaning: ['id' => '1', 'name' => 'Oldest First'], ['id' => '2', 'name' => 'Newest First'],['id' => '3', 'name' => 'Random'],Traversal order method for lead list while dialing, value should be 1,2 or 3 with the following meaning: ['id' => '1', 'name' => 'Oldest First'], ['id' => '2', 'name' => 'Newest First'],['id' => '3', 'name' => 'Random'],

string

Id of script where content will be visible to only agent while dialing lead

string

Id of list containing short codes that describe the outcome of calls

string

Refresh Count

string

Refresh Interval duration in minutes

string

Wrap up time for agent in seconds

dial_status
array of strings

New = 0, Undisposed = -1, Number in Account DND List = -2, Number in Public DND List = -3, Emergency = -4, Call Drop = -5, Channel Limit Reached = -6, Number in Account Block List = -7Missed By Agent = -8, Queue Missed = -9

dial_status
string

Id of Campaign Active Time which will reflect for all agents

string

Id of Campaign Active Time Recording

string

The call will ring on each agent for the defined seconds before trying any other agent

string

Id of Quick Transfer List of the campaign

string

Id of DND list set up of the campaign

boolean

Valid value 0 or 1,enabling this will hide customer's details

boolean

Valid value 0 or 1, enabling this will update customer's details

boolean

Valid value 0 or 1, enabling this will allow adding automatic schedule call for the campaign

boolean

Valid value 0 or 1, enabling this will cause hangup call for agent

boolean

Valid value 0 or 1, enabling this will allow external transfer

string

Time given to the agent after a call ends in seconds

boolean

Valid value 0 or 1, enabling this will allow to add web form

string

URL of web-form in the dialer campaign

string

Id of music to be played while the calls is connecting to the agents

string

Ring Strategy of Dialer Campaign, valid value is 1,2 or 3 with the following convention: ,['id' => '1', 'name' => 'Random'],['id' => '2', 'name' => 'Fewest Calls'],['id' => '3', 'name' => 'Longest Wait Time'],

string

Ratio in which agents will be called, mandatory field if dial method is 2

boolean

Valid value 0 or 1, enabling this will allow transfering calls

manual_lead_list
array of strings

Lead List for Manual Dial, mandatory field if manual_dial_enabled is 1

manual_lead_list
string

Id of Pause code List containing break code and name, if agent takes break specifying purpose/reason

string

Individual mapping of each agent with caller id

string

Individual mapping of each agent with lead list

string

Agent Connection method, valid value is 1,2 or 3 with following convention: ['id' => '1', 'name' => 'Agent Mobile'], ['id' => '2', 'name' => 'Agent Extension'], ['id' => '3', 'name' => 'Both (Extension first, otherwise mobile)']

string

Agent Call Method, valid value is 1,2 or 3 with following convention: ['id' => '1', 'name' => 'Dial In (Session)'], ['id' => '3', 'name' => 'Dial Out (Session)'], ['id' => '2', 'name' => 'Dial Out (Each Call)']

boolean

Valid value 0 or 1, enabling this will allow callback for agent in agent panel

string

Agent number in case of dial in

agent
array of int32s

Agent who gets connected and picks the inbound call

agent
int32

Option while showing break codes of a list

boolean

Valid value 0 or 1, enabling will allow manual dial for agent in agent panel

boolean

Valid value 0 or 1, enabling will set inbound queue for the dialer campaign

string

Id of queue to receive incoming calls from customer, mandatory field if enable_inbound is 1.

boolean

Valid value 0 or 1, enabling this will remove self from inbound queue in agent panel

string

Lead List for inbound queue, mandatory field if enable_inbound is 1.

boolean

Valid value 0 or 1, enabling will make agent get connected to the call

string

This duration in seconds will be used to qualify the call as a successful call

string

Id of Welcome tune recording

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json